version: '1.0'
updated: '2026-02-18T13:07:42.430270'
categories:
- id: infrastructure
  name: Infrastruktur
  icon: 🏗️
- id: development
  name: Entwicklung
  icon: 💻
- id: education
  name: Pädagogische Apps
  icon: 📚
- id: games
  name: Game-Server
  icon: 🎮
containers:
- id: open-webui
  name: Open WebUI
  category: education
  description: KI-Chat-Interface für LLMs (OpenAI-kompatibel)
  version: '1.0'
  url: containers/open-webui.yaml
  warnings:
  - ARM64-Support (Raspberry Pi) nicht offiziell dokumentiert
- id: qdrant
  name: Qdrant
  category: infrastructure
  description: Vektordatenbank für KI-Embeddings und semantische Suche
  version: '1.0'
  url: containers/qdrant.yaml
  warnings:
  - API Key wird bei jedem Zugriff (API + Web UI) abgefragt
  - Fuer TLS-verschluesselte Verbindungen Reverse-Proxy nutzen
  - Nutzt spezielles Raspberry Pi 5 Image (jemalloc-Fix)
- id: langflow
  name: Langflow
  category: education
  description: Visueller LLM Flow Builder mit KI-Integrationen
  version: '1.2'
  url: containers/langflow.yaml
  depends_on:
  - qdrant
  warnings:
  - Auto-Login aktiviert - fuer Produktivumgebungen Authentifizierung konfigurieren
  - Benoetigt Qdrant fuer RAG-Features (wird automatisch installiert)
- id: n8n
  name: n8n Workflow-Automatisierung
  category: development
  description: Low-Code Automatisierungsplattform mit 500+ Integrationen, Webhooks
    und PostgreSQL-Zugriff
  version: '1.0'
  url: containers/n8n.yaml
  depends_on:
  - postgres
  tags:
  - automation
  - workflow
  - api
  - webhooks
  - low-code
- id: postgres
  name: PostgreSQL
  category: infrastructure
  description: Zentrale relationale Datenbank für IT.Box-Dienste
  version: '1.0'
  url: containers/postgres.yaml
  warnings:
  - Port nur auf 127.0.0.1 gebunden - kein Zugriff von aussen moeglich
  - Init-Skript laeuft nur beim ersten Start (leeres data-Verzeichnis)
  tags:
  - database
  - postgresql
  - infrastructure
